unit ublendform;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  LayeredForm, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    RadioGroup1: TRadioGroup;
    Button1: TButton;
    LayeredForm1: TLayeredForm;
    Button2: TButton;
    Button3: TButton;
    procedure RadioGroup1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure LayeredForm1FadeOutDone(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.RadioGroup1Click(Sender: TObject);
begin
 case radiogroup1.itemindex of
 0:layeredform1.alpha:=round(0.2*255);
 1:layeredform1.alpha:=round(0.5*255);
 2:layeredform1.alpha:=round(0.75*255);
 3:layeredform1.alpha:=255;
 end;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
 self.Close;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
 layeredform1.alpha:=255;
 layeredform1.fadeout(100,5);

end;

procedure TForm1.LayeredForm1FadeOutDone(Sender: TObject);
begin
 layeredform1.alpha:=255;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
 layeredform1.alpha:=0;
 layeredform1.fadein(100,5);
end;

procedure TForm1.FormCreate(Sender: TObject);
var
 verinfo:tosversioninfo;
begin
 verinfo.dwOSVersionInfoSize:=sizeof(tosversioninfo);
 getversionex(verinfo);
 if (verinfo.dwMajorVersion<5) then
  showmessage('This application will only work as expected on Windows 2000');
end;

end.
